Bug 1470002 - OSP11 -> OSP12 upgrade: Heat API services are still running under systemd after upgrading to docker architecture
OSP11 -> OSP12 upgrade: Heat API services are still running under systemd aft...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity urgent
: beta
: 12.0 (Pike)
Assigned To: Emilien Macchi
Marius Cornea
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 05:03 EDT by Marius Cornea
Modified: 2018-02-05 14:10 EST (History)
7 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170805163048.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-13 16:40:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1699443 None None None 2017-07-12 05:03 EDT
OpenStack gerrit 482991 None None None 2017-07-12 10:56 EDT

  None (edit)
Description Marius Cornea 2017-07-12 05:03:59 EDT
Description of problem:
OSP11 -> OSP12 upgrade: Heat API services are still running under systemd after upgrading to docker architecture

During upgrade, at step overcloud-AllNodesDeploySteps-74yhsp77to5a-AllNodesPostUpgradeSteps-tl7b4sbb2xft-ControllerDeployment_Step3-o2ybgewtnni3
we can see on the overcloud node:

[root@controller-0 heat-admin]# systemctl status openstack-heat-api
● openstack-heat-api.service - OpenStack Heat API Service
   Loaded: loaded (/usr/lib/systemd/system/openstack-heat-api.service; enabled; vendor preset: disabled)
   Active: active (running) since Tue 2017-07-11 23:15:04 UTC; 9h ago
 Main PID: 244915 (heat-api)
   Memory: 0B
   CGroup: /system.slice/openstack-heat-api.service
           ├─244915 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245185 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245186 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245187 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245188 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245190 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245191 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245192 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           └─245193 /usr/bin/python /usr/bin/heat-api --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf

Jul 11 23:15:04 controller-0 systemd[1]: Started OpenStack Heat API Service.
Jul 11 23:15:04 controller-0 systemd[1]: Starting OpenStack Heat API Service...
[root@controller-0 heat-admin]# systemctl status openstack-heat-api-cfn
● openstack-heat-api-cfn.service - Openstack Heat CFN-compatible API Service
   Loaded: loaded (/usr/lib/systemd/system/openstack-heat-api-cfn.service; enabled; vendor preset: disabled)
   Active: active (running) since Tue 2017-07-11 23:15:08 UTC; 9h ago
 Main PID: 245447 (heat-api-cfn)
   Memory: 0B
   CGroup: /system.slice/openstack-heat-api-cfn.service
           ├─245447 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245556 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245557 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245558 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245559 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245560 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245561 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           ├─245562 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf
           └─245563 /usr/bin/python /usr/bin/heat-api-cfn --config-file /usr/share/heat/heat-dist.conf --config-file /etc/heat/heat.conf

Jul 11 23:15:08 controller-0 systemd[1]: Started Openstack Heat CFN-compatible API Service.
Jul 11 23:15:08 controller-0 systemd[1]: Starting Openstack Heat CFN-compatible API Service...


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-7.0.0-0.20170628002128.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP11
2. Upgrade to OSP12 with containerized architecture

Actual results:
Heat API services are still running under systemd.

Expected results:
The Heat services should be running only inside containers.

Additional info:
Comment 4 Marius Cornea 2017-11-08 11:19:08 EST
After upgrade:

[root@controller-0 heat-admin]#  systemctl status openstack-heat-api
● openstack-heat-api.service - OpenStack Heat API Service
   Loaded: loaded (/usr/lib/systemd/system/openstack-heat-api.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Nov 08 12:43:33 controller-0 systemd[1]: Started OpenStack Heat API Service.
Nov 08 12:43:33 controller-0 systemd[1]: Starting OpenStack Heat API Service...
Nov 08 14:55:29 controller-0 systemd[1]: Stopping OpenStack Heat API Service...
Nov 08 14:55:29 controller-0 systemd[1]: Stopped OpenStack Heat API Service.
Comment 7 errata-xmlrpc 2017-12-13 16:40:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462

Note You need to log in before you can comment on or make changes to this bug.